<?php
/**
*
* @package - Board3portal Knuffel
* @version $Id: knuffel.php 69 2009-09-28 18:56:41Z Wuerzi $
* @copyright (c) 2009 Wuerzi http://www.spieleresidenz.de
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package Custom
*/
class portal_knuffel_module
{
	/**
	* Allowed columns: Just sum up your options (Exp: left + right = 10)
	* top		1
	* left		2
	* center	4
	* right		8
	* bottom	16
	*/
	public $columns = 10;

	/**
	* Default modulename
	*/
	public $name = 'PORTAL_KNUFFEL';

	/**
	* Default module-image:
	* file must be in "{T_THEME_PATH}/images/portal/"
	*/
	public $image_src = '';

	/**
	* module-language file
	* file must be in "language/{$user->lang}/mods/portal/"
	*/
	public $language = 'portal_knuffel_module';
	
	/**
	* custom acp template
	* file must be in "adm/style/portal/"
	*/
	public $custom_acp_tpl = '';

	public function get_template_side($module_id)
	{
		global $config, $db, $template, $portal_config, $user;

$user->add_lang('mods/knuffel');

$sql_array = array(
	'SELECT'	=> 'u.user_id, u.username, u.user_colour, k.*',

	'FROM'		=> array(
		USERS_TABLE	=> 'u',
	),

	'LEFT_JOIN'	=> array(
		array(
			'FROM'	=> array(KNUFFEL_TABLE => 'k'),
			'ON'	=> 'u.user_id = k.user_id'
		),
	),

	'WHERE'		=> 'k.score > 0',
	'ORDER_BY'	=> 'k.score DESC, k.average DESC',
);

$sql = $db->sql_build_query('SELECT', $sql_array);
$result = $db->sql_query_limit($sql, 5);

while ( $row = $db->sql_fetchrow($result) )
{	
	$template->assign_block_vars('knuffelscore', array(
		'NAME'		=> get_username_string('full', $row['user_id'], $row['username'], $row['user_colour']),
		'POINTS'	=> $row['score'],
	));  
}
$db->sql_freeresult($result);
		return 'knuffel_side.html';
	}

	public function get_template_acp($module_id)
	{
		return array(
			'title'	=> 'PORTAL_KNUFFEL',
			'vars'	=> array(),
		);
	}

	/**
	* API functions
	*/
	public function install($module_id)
	{
		return true;
	}

	public function uninstall($module_id)
	{
		return true;
	}
}
